refl = beamPath;
refl.seedq = beamq(7.27+2.7i);
refl.seedz = 0;
refl.addComponent(component.curvedMirror(3, 1e-6, 'T1'));
refl.addComponent(component.curvedMirror(-2, 1.5,  'T2'));
refl.addComponent(component.curvedMirror(-2, 2.2, 'T3'));
refl.addComponent(component.curvedMirror(3, 3.4, 'T4'));
refl.addComponent(component.flatMirror( 4.0, 'REFL'));
figure(1);
refl.plotSummary;
subplot(2,1,1)
text(1.5, 2e-3, sprintf('T2 to T3 = %.0d deg', floor(refl.gouySeperation('T3','T2'))));


as = beamPath;
as.seedq = beamq(-.45+1.99i);
as.seedz = 0;
as.addComponent(component.curvedMirror(4, 1e-6, 'T1'));
as.addComponent(component.curvedMirror(-1, 1.106, 'T2'));
as.addComponent(component.curvedMirror(4, 2.887, 'T3'));
as.addComponent(component.flatMirror(3.9, 'OMC'));
as.targetWaist(350e-6,3);
lenslist = component.lens([   -3 -2 -1 1 2 3  4  ],0, 'test');

%[pathlist, overlap] = as.chooseComponents('T2', lenslist.duplicate, [0.3 1.5], ...
%    'T3', lenslist.duplicate, [1 3], 'target', [1.5 4.5],  '-v')


figure(2);
as.plotSummary;
subplot(2,1,1)
text(1.5, 1.5e-3, sprintf('T1 to T3 = %.0d deg', floor(as.gouySeperation('T3','T2'))));

