function ABCD = MultiMirrorTel(x, r)    
    % Builds a matrix from x's and r's in the order x then r.
    
    dist = @(x) [1 x; 0 1];
    mirror = @(r) [1 0; -2/r 1];
    
    ABCD  = 1;
    for ii = 1:length(x)
        ABCD = mirror(r(ii))*dist(x(ii)) * ABCD;
    end
end