(TeX-add-style-hook "T1000247-v3"
 (lambda ()
    (LaTeX-add-bibitems
     "optLayout"
     "pfOptics"
     "H1Zemax"
     "iscTables"
     "iscDiodes"
     "pmmtLayout"
     "pr2PowerPoint"
     "OMCmodematching"
     "QPDdesign"
     "ham2Layout"
     "transmon")
    (LaTeX-add-labels
     "sec:introduction"
     "sec:references"
     "sec:tel-requirements"
     "sec:reflection-port"
     "tab:REFL"
     "tab:REFLalign"
     "fig:REFLalign"
     "fig:REFLlayout"
     "sec:pick-port"
     "tab:POP"
     "tab:POP_soln"
     "fig:pop_dc"
     "fig:pop_sled"
     "sec:as-port"
     "tab:AS"
     "tab:ASgouy"
     "fig:as"
     "sec:omc-reflection"
     "tab:OMC-refl"
     "fig:OMC-refl"
     "sec:transmission-monitor"
     "tab:transmon_soln"
     "fig:transmon_dc"
     "fig:transmon_sled"
     "sec:transmission-monitor-green"
     "tab:green"
     "fig:grnBeam"
     "fig:grnSled")
    (TeX-run-style-hooks
     "breakurl"
     "hyperref"
     "rotating"
     "textcomp"
     "listings"
     "graphicx"
     "latex2e"
     "ligodoc11"
     "ligodoc"
     "11pt")))

